Skip to content
GuidesBlogPlaygroundDashboard

Elevation profile along coordinates

POST/api/v1/elevation/profile

Elevation profile along coordinates

Body ParametersJSONExpand Collapse
coordinates: array of object { lat, lng }

Path coordinates in order of travel (min 2, max 50)

lat: number

Latitude in decimal degrees (-90 to 90)

maximum90
minimum-90
lng: number

Longitude in decimal degrees (-180 to 180)

maximum180
minimum-180
ReturnsExpand Collapse
ElevationProfileResult = object { geometry, properties, type }

GeoJSON LineString Feature with 3D coordinates [lng, lat, elevation] representing the elevation profile along the input path. Summary statistics are in properties.

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Point = array of number

[longitude, latitude] or [longitude, latitude, elevation]

LineStringOrMultiPoint = array of array of number

Array of [lng, lat] positions

PolygonOrMultiLineString = array of array of array of number

Array of linear rings / line strings

MultiPolygon = array of array of array of array of number

Array of polygons

type: "Point" or "LineString" or "Polygon" or 3 more

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: object { avg_elevation_m, max_elevation_m, min_elevation_m, 2 more }

Elevation profile summary statistics

avg_elevation_m: number

Average elevation along the profile in meters

max_elevation_m: number

Maximum elevation along the profile in meters

min_elevation_m: number

Minimum elevation along the profile in meters

total_ascent_m: number

Total cumulative elevation gain in meters

total_descent_m: number

Total cumulative elevation loss in meters

type: "Feature"

Elevation profile along coordinates

curl https://plaza.fyi/api/v1/elevation/profile \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $PLAZA_API_KEY" \
    -d '{
          "coordinates": [
            {
              "lat": 48.8566,
              "lng": 2.3522
            },
            {
              "lat": 48.858,
              "lng": 2.34
            },
            {
              "lat": 48.8584,
              "lng": 2.2945
            }
          ]
        }'
{
  "geometry": {
    "coordinates": [
      2.3522,
      48.8566
    ],
    "type": "Point"
  },
  "properties": {
    "avg_elevation_m": 67.8,
    "max_elevation_m": 155.3,
    "min_elevation_m": 28.1,
    "total_ascent_m": 127.4,
    "total_descent_m": 89.2
  },
  "type": "Feature"
}
Returns Examples
{
  "geometry": {
    "coordinates": [
      2.3522,
      48.8566
    ],
    "type": "Point"
  },
  "properties": {
    "avg_elevation_m": 67.8,
    "max_elevation_m": 155.3,
    "min_elevation_m": 28.1,
    "total_ascent_m": 127.4,
    "total_descent_m": 89.2
  },
  "type": "Feature"
}